curl --request POST \
--url https://api.paywise.de/v1/payments/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"claim": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": {
"value": "<string>"
},
"value_date": "2023-12-25",
"your_reference": "<string>",
"metadata": [
{
"value": "<string>"
}
]
}
'import requests
url = "https://api.paywise.de/v1/payments/"
payload = {
"claim": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": { "value": "<string>" },
"value_date": "2023-12-25",
"your_reference": "<string>",
"metadata": [{ "value": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
claim: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: {value: '<string>'},
value_date: '2023-12-25',
your_reference: '<string>',
metadata: [{value: '<string>'}]
})
};
fetch('https://api.paywise.de/v1/payments/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"href": "<string>",
"claim": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": {
"value": "<string>",
"currency": "EUR"
},
"value_date": "2023-12-25",
"created": "2023-11-07T05:31:56Z",
"id": "<string>",
"your_reference": "<string>",
"metadata": [
{
"type": "comment",
"value": "<string>"
}
]
}Create a payment
Report a payment to a claim that you received from your debtor. Payments can be reported at anytime - before or after releasing a claim for processing and at any state of us processing a claim or mandate.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
A payment associated for a claim
The ID of the claim the payment should be reported on.
The amount of the payment.
Show child attributes
Show child attributes
The value date of the payment.
Your unique reference.
255The metadata object allows you to submit additional relevant information related to the payment as type/value pairs. You can submit an unlimited number of metadata sets.
Show child attributes
Show child attributes
Response
A payment associated for a claim
The ID of the claim the payment should be reported on.
The amount of the payment.
Show child attributes
Show child attributes
The value date of the payment.
Your unique reference.
255The metadata object allows you to submit additional relevant information related to the payment as type/value pairs. You can submit an unlimited number of metadata sets.
Show child attributes
Show child attributes
